package com.steering.model.qcm;
/**
 * 数据库表PIPE_CHECKCONSIGN_PHYRELATION所对应的实体类（生成工具：代码生成器3.0）
 * @author lenovo-PC   date 2018-03-08
 */
@SuppressWarnings("serial")
public class PipeCheckconsignPhyrelationEntity implements java.io.Serializable {
    /**
     * 材质检验项代码 (检验项)
     */
    private String phyCode = "";
    /**
     * 材质检验项名称
     */
    private String phyName = "";

    /**
     * 材质检验项代码 (检验项)
     */
    private String phyCodeDir = "";
    /**
     * 材质检验项名称
     */
    private String phyNameDir = "";
    /**
     * 材质大类代码(A:拉伸,B:冲击,C:硬度....)
     */
    private String phyType = "";
    /**
     * 材质大类
     */
    private String phyTypeName = "";
    /**
     * 材质小类代码
     */
    private String phyTypeC = "";
    /**
     * 材质小类
     */
    private String phyTypeCName = "";
    /**
     * 第几个值得对应关系
     */
    private String valuename = "";
    /**
     * 采集数据表对应的字段名1
     */
    private String dbColumn1 = "";
    /**
     * 采集数据表对应的字段名2
     */
    private String dbColumn2 = "";
    /**
     * 采集数据表对应的字段名3
     */
    private String dbColumn3 = "";
    /**
     * 采集数据表对应的字段名4
     */
    private String dbColumn4 = "";
    /**
     * 采集数据表对应的字段名5
     */
    private String dbColumn5 = "";
    /**
     * 采集数据表对应的字段名6
     */
    private String dbColumn6 = "";
    /**
     * 采集数据表限定参数的字段名1
     */
    private String dbPara1 = "";
    /**
     * 采集数据表限定参数的字段名2
     */
    private String dbPara2 = "";
    /**
     * 采集数据表限定参数的字段名3
     */
    private String dbPara3 = "";
    /**
     * 采集数据表限定参数1的限定值
     */
    private String dbParaValue1 = "";
    /**
     * 采集数据表限定参数2的限定值
     */
    private String dbParaValue2 = "";
    /**
     * 采集数据表限定参数3的限定值
     */
    private String dbParaValue3 = "";
    /**
     * 检验项对应采集数据表公式1
     */
    private String formula1 = "";
    /**
     * 检验项对应采集数据表公式2
     */
    private String formula2 = "";
    /**
     * 检验项对应采集数据表公式3
     */
    private String formula3 = "";
    /**
     * 检验项对应采集数据表公式4
     */
    private String formula4 = "";
    /**
     * 检验项对应采集数据表公式5
     */
    private String formula5 = "";

    /**
     * 材质检验项代码 (检验项)
     * @return value
     */
    public String getPhyCode() {
        return phyCode;
    }

    /**
     * 材质检验项代码 (检验项)
     * @param phyCode value
     */
    public void setPhyCode(String phyCode) {
        this.phyCode = phyCode;
    }

    /**
     * 材质检验项名称
     * @return value
     */
    public String getPhyName() {
        return phyName;
    }

    /**
     * 材质检验项名称
     * @param phyName value
     */
    public void setPhyName(String phyName) {
        this.phyName = phyName;
    }

    /**
     * 材质检验项代码 (检验项)
     * @return value
     */
    public String getPhyCodeDir() {
        return phyCodeDir;
    }

    /**
     * 材质检验项代码 (检验项)
     * @param phyCodeDir value
     */
    public void setPhyCodeDir(String phyCodeDir) {
        this.phyCodeDir = phyCodeDir;
    }

    /**
     * 材质检验项名称
     * @return value
     */
    public String getPhyNameDir() {
        return phyNameDir;
    }

    /**
     * 材质检验项名称
     * @param phyNameDir value
     */
    public void setPhyNameDir(String phyNameDir) {
        this.phyNameDir = phyNameDir;
    }

    /**
     * 材质大类代码(A:拉伸,B:冲击,C:硬度....)
     * @return value
     */
    public String getPhyType() {
        return phyType;
    }

    /**
     * 材质大类代码(A:拉伸,B:冲击,C:硬度....)
     * @param phyType value
     */
    public void setPhyType(String phyType) {
        this.phyType = phyType;
    }

    /**
     * 材质大类
     * @return value
     */
    public String getPhyTypeName() {
        return phyTypeName;
    }

    /**
     * 材质大类
     * @param phyTypeName value
     */
    public void setPhyTypeName(String phyTypeName) {
        this.phyTypeName = phyTypeName;
    }

    /**
     * 材质小类代码
     * @return value
     */
    public String getPhyTypeC() {
        return phyTypeC;
    }

    /**
     * 材质小类代码
     * @param phyTypeC value
     */
    public void setPhyTypeC(String phyTypeC) {
        this.phyTypeC = phyTypeC;
    }

    /**
     * 材质小类
     * @return value
     */
    public String getPhyTypeCName() {
        return phyTypeCName;
    }

    /**
     * 材质小类
     * @param phyTypeCName value
     */
    public void setPhyTypeCName(String phyTypeCName) {
        this.phyTypeCName = phyTypeCName;
    }

    /**
     * 第几个值得对应关系
     * @return value
     */
    public String getValuename() {
        return valuename;
    }

    /**
     * 第几个值得对应关系
     * @param valuename value
     */
    public void setValuename(String valuename) {
        this.valuename = valuename;
    }

    /**
     * 采集数据表对应的字段名1
     * @return value
     */
    public String getDbColumn1() {
        return dbColumn1;
    }

    /**
     * 采集数据表对应的字段名1
     * @param dbColumn1 value
     */
    public void setDbColumn1(String dbColumn1) {
        this.dbColumn1 = dbColumn1;
    }

    /**
     * 采集数据表对应的字段名2
     * @return value
     */
    public String getDbColumn2() {
        return dbColumn2;
    }

    /**
     * 采集数据表对应的字段名2
     * @param dbColumn2 value
     */
    public void setDbColumn2(String dbColumn2) {
        this.dbColumn2 = dbColumn2;
    }

    /**
     * 采集数据表对应的字段名3
     * @return value
     */
    public String getDbColumn3() {
        return dbColumn3;
    }

    /**
     * 采集数据表对应的字段名3
     * @param dbColumn3 value
     */
    public void setDbColumn3(String dbColumn3) {
        this.dbColumn3 = dbColumn3;
    }

    /**
     * 采集数据表对应的字段名4
     * @return value
     */
    public String getDbColumn4() {
        return dbColumn4;
    }

    /**
     * 采集数据表对应的字段名4
     * @param dbColumn4 value
     */
    public void setDbColumn4(String dbColumn4) {
        this.dbColumn4 = dbColumn4;
    }

    /**
     * 采集数据表对应的字段名5
     * @return value
     */
    public String getDbColumn5() {
        return dbColumn5;
    }

    /**
     * 采集数据表对应的字段名5
     * @param dbColumn5 value
     */
    public void setDbColumn5(String dbColumn5) {
        this.dbColumn5 = dbColumn5;
    }

    /**
     * 采集数据表对应的字段名6
     * @return value
     */
    public String getDbColumn6() {
        return dbColumn6;
    }

    /**
     * 采集数据表对应的字段名6
     * @param dbColumn6 value
     */
    public void setDbColumn6(String dbColumn6) {
        this.dbColumn6 = dbColumn6;
    }

    /**
     * 采集数据表限定参数的字段名1
     * @return value
     */
    public String getDbPara1() {
        return dbPara1;
    }

    /**
     * 采集数据表限定参数的字段名1
     * @param dbPara1 value
     */
    public void setDbPara1(String dbPara1) {
        this.dbPara1 = dbPara1;
    }

    /**
     * 采集数据表限定参数的字段名2
     * @return value
     */
    public String getDbPara2() {
        return dbPara2;
    }

    /**
     * 采集数据表限定参数的字段名2
     * @param dbPara2 value
     */
    public void setDbPara2(String dbPara2) {
        this.dbPara2 = dbPara2;
    }

    /**
     * 采集数据表限定参数的字段名3
     * @return value
     */
    public String getDbPara3() {
        return dbPara3;
    }

    /**
     * 采集数据表限定参数的字段名3
     * @param dbPara3 value
     */
    public void setDbPara3(String dbPara3) {
        this.dbPara3 = dbPara3;
    }

    /**
     * 采集数据表限定参数1的限定值
     * @return value
     */
    public String getDbParaValue1() {
        return dbParaValue1;
    }

    /**
     * 采集数据表限定参数1的限定值
     * @param dbParaValue1 value
     */
    public void setDbParaValue1(String dbParaValue1) {
        this.dbParaValue1 = dbParaValue1;
    }

    /**
     * 采集数据表限定参数2的限定值
     * @return value
     */
    public String getDbParaValue2() {
        return dbParaValue2;
    }

    /**
     * 采集数据表限定参数2的限定值
     * @param dbParaValue2 value
     */
    public void setDbParaValue2(String dbParaValue2) {
        this.dbParaValue2 = dbParaValue2;
    }

    /**
     * 采集数据表限定参数3的限定值
     * @return value
     */
    public String getDbParaValue3() {
        return dbParaValue3;
    }

    /**
     * 采集数据表限定参数3的限定值
     * @param dbParaValue3 value
     */
    public void setDbParaValue3(String dbParaValue3) {
        this.dbParaValue3 = dbParaValue3;
    }

    /**
     * 检验项对应采集数据表公式1
     * @return value
     */
    public String getFormula1() {
        return formula1;
    }

    /**
     * 检验项对应采集数据表公式1
     * @param formula1 value
     */
    public void setFormula1(String formula1) {
        this.formula1 = formula1;
    }

    /**
     * 检验项对应采集数据表公式2
     * @return value
     */
    public String getFormula2() {
        return formula2;
    }

    /**
     * 检验项对应采集数据表公式2
     * @param formula2 value
     */
    public void setFormula2(String formula2) {
        this.formula2 = formula2;
    }

    /**
     * 检验项对应采集数据表公式3
     * @return value
     */
    public String getFormula3() {
        return formula3;
    }

    /**
     * 检验项对应采集数据表公式3
     * @param formula3 value
     */
    public void setFormula3(String formula3) {
        this.formula3 = formula3;
    }

    /**
     * 检验项对应采集数据表公式4
     * @return value
     */
    public String getFormula4() {
        return formula4;
    }

    /**
     * 检验项对应采集数据表公式4
     * @param formula4 value
     */
    public void setFormula4(String formula4) {
        this.formula4 = formula4;
    }

    /**
     * 检验项对应采集数据表公式5
     * @return value
     */
    public String getFormula5() {
        return formula5;
    }

    /**
     * 检验项对应采集数据表公式5
     * @param formula5 value
     */
    public void setFormula5(String formula5) {
        this.formula5 = formula5;
    }
}